Package org.eclipse.birt.report.engine.api

# Interface IPDFRenderOption

All Superinterfaces:
  `IRenderOption`, `ITaskOption`

All Known Implementing Classes:
  `PDFRenderOption`

public interface IPDFRenderOption extends IRenderOption
Defines render options for PDF emitter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLIP_CONTENT`
`static final String`
`DISABLE_FLASH_ANIMATION`
The option to disable flash animation.
`static final String`
`DISABLE_PRINT`
The option to disable print.
`static final String`
`DPI`
The customer defined DPI setting for image display.
`static final int`
`ENLARGE_PAGE_SIZE`
`static final String`
`FIT_TO_PAGE`
Deprecated.
Scale the content to fit into the page, when the content exceeds page size.
`static final int`
`FIT_TO_PAGE_SIZE`
`static final String`
`FONT_DIRECTORY`
Deprecated.
define the font directory used by PDF.
`static final String`
`IS_EMBEDDED_FONT`
Deprecated.
should the true-type font be embedded into the generated PDF file.
`static final int`
`OUTPUT_TO_MULTIPLE_PAGES`
`static final String`
`PAGE_OVERFLOW`
Properties to control how to output the content if the content exceeds the page-size.
`static final String`
`PAGEBREAK_PAGINATION_ONLY`
Deprecated.
The flag to indicate whether PDF layout use auto page break or not.
`static final String`
`PDF_BIDI_PROCESSING`
If it is set to false, no BIDI processing is used.
`static final String`
`PDF_FONT_SUBSTITUTION`
If it is set to false, we needn't check if the character exists in the selected font.
`static final String`
`PDF_PAGE_LIMIT`
define the PDF page count limit, it should be an Integer object
`static final String`
`PDF_TEXT_WRAPPING`
If it is set to false, all the text should be displayed into one line, the text which can not be displayed in the line will be clipped.
`static final String`
`PDF_WORDBREAK`
If it is set to false, no word break is used.
`static final String`
`REPAGINATE_FOR_PDF`
The option to let PDF emitter choose to "render all pages" or "render page by page".
`static final String`
`RESERVE_DOCUMENT_PAGE_NUMBERS`
The layout uses the page number from the report document.

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFontDirectory()`
Deprecated.
`boolean`
`isEmbededFont()`
Deprecated.
`void`
`setEmbededFont(boolean isEmbededFont)`
Deprecated.
`void`
`setFontDirectory(String fontDirectory)`
Deprecated.

### Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### FIT_TO_PAGE

@Deprecated static final String FIT_TO_PAGE
Deprecated.
Scale the content to fit into the page, when the content exceeds page size. This property has been deprecated, please set PAGE_OVERFLOW = FIT_TO_PAGE_SIZE instead.

See Also:
  - Constant Field Values

### PAGEBREAK_PAGINATION_ONLY

@Deprecated static final String PAGEBREAK_PAGINATION_ONLY
Deprecated.
The flag to indicate whether PDF layout use auto page break or not. if it is set to true, then auto page break will not take effect. This property has been deprecated, please set PAGE_OVERFLOW = OUTPUT_TO_MULTIPLE_PAGES instead.

See Also:
  - Constant Field Values

### PAGE_OVERFLOW

static final String PAGE_OVERFLOW
Properties to control how to output the content if the content exceeds the page-size. CLIP_CONTENT: clip the content FIT_TO_PAGE_SIZE: scale the content to fit into the page OUTPUT_TO_MULTIPLE_PAGES: divided the content into multiple pages ENLARGE_PAGE_SIZE: enlarge the page size to contain all the content.

See Also:
  - Constant Field Values

### CLIP_CONTENT

static final int CLIP_CONTENT

See Also:
  - Constant Field Values

### FIT_TO_PAGE_SIZE

static final int FIT_TO_PAGE_SIZE

See Also:
  - Constant Field Values

### OUTPUT_TO_MULTIPLE_PAGES

static final int OUTPUT_TO_MULTIPLE_PAGES

See Also:
  - Constant Field Values

### ENLARGE_PAGE_SIZE

static final int ENLARGE_PAGE_SIZE

See Also:
  - Constant Field Values

### PDF_PAGE_LIMIT

static final String PDF_PAGE_LIMIT
define the PDF page count limit, it should be an Integer object

See Also:
  - Constant Field Values

### PDF_TEXT_WRAPPING

static final String PDF_TEXT_WRAPPING
If it is set to false, all the text should be displayed into one line, the text which can not be displayed in the line will be clipped.

See Also:
  - Constant Field Values

### PDF_WORDBREAK

static final String PDF_WORDBREAK
If it is set to false, no word break is used. The word longer than the line width will be clipped at the line boundary.

See Also:
  - Constant Field Values

### PDF_FONT_SUBSTITUTION

static final String PDF_FONT_SUBSTITUTION
If it is set to false, we needn't check if the character exists in the selected font.

See Also:
  - Constant Field Values

### PDF_BIDI_PROCESSING

static final String PDF_BIDI_PROCESSING
If it is set to false, no BIDI processing is used.

See Also:
  - Constant Field Values

### DPI

static final String DPI
The customer defined DPI setting for image display.

See Also:
  - Constant Field Values

### RESERVE_DOCUMENT_PAGE_NUMBERS

static final String RESERVE_DOCUMENT_PAGE_NUMBERS
The layout uses the page number from the report document. If it is false, use the page number generated by layout engine.

See Also:
  - Constant Field Values

### REPAGINATE_FOR_PDF

static final String REPAGINATE_FOR_PDF
The option to let PDF emitter choose to "render all pages" or "render page by page". It is false by default, corresponding to "render all pages".

See Also:
  - Constant Field Values

### FONT_DIRECTORY

@Deprecated static final String FONT_DIRECTORY
Deprecated.
define the font directory used by PDF.

See Also:
  - Constant Field Values

### IS_EMBEDDED_FONT

@Deprecated static final String IS_EMBEDDED_FONT
Deprecated.
should the true-type font be embedded into the generated PDF file.

See Also:
  - Constant Field Values

### DISABLE_FLASH_ANIMATION

static final String DISABLE_FLASH_ANIMATION
The option to disable flash animation. Set this option to true for PDF printing.

See Also:
  - Constant Field Values

### DISABLE_PRINT

static final String DISABLE_PRINT
The option to disable print.

See Also:
  - Constant Field Values

## Method Details

### setEmbededFont

@Deprecated void setEmbededFont(boolean isEmbededFont)
Deprecated.

Parameters:
  `isEmbededFont` -

### isEmbededFont

@Deprecated boolean isEmbededFont()
Deprecated.

Returns:
  if font is embedded

### getFontDirectory

@Deprecated String getFontDirectory()
Deprecated.

Returns:
  the user-defined font directory

### setFontDirectory

@Deprecated void setFontDirectory(String fontDirectory)
Deprecated.

Parameters:
  `fontDirectory` - the user-defined font directory